Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.form.event
Interface ComboBoxListener

All Superinterfaces:
  BoxComponentListener, ComponentListener, FieldListener

All Known Implementing Classes:
  ComboBoxListenerAdapter

    public interface ComboBoxListener

extends FieldListener

Method Summary
`boolean` | `doBeforeQuery(ComboBox comboBox, ComboBoxCallback cb)` Fires before all queries are processed.
`boolean` | `doBeforeSelect(ComboBox comboBox, Record record, int index)` Fires before a list item is selected.
`void` | `onCollapse(ComboBox comboBox)` Fires when the dropdown list is collapsed.
`void` | `onExpand(ComboBox comboBox)` Fires when the dropdown list is expanded.
`void` | `onSelect(ComboBox comboBox, Record record, int index)` Fires when a list item is selected.

Methods inherited from interface com.gwtext.client.widgets.form.event.FieldListener
`onBlur, onChange, onFocus, onInvalid, onSpecialKey, onValid`

Methods inherited from interface com.gwtext.client.widgets.event.BoxComponentListener
`onMove, onResize`

Methods inherited from interface com.gwtext.client.widgets.event.ComponentListener
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Method Detail

### doBeforeQuery

    boolean doBeforeQuery(ComboBox comboBox,
                          ComboBoxCallback cb)

  Fires before all queries are processed. Return false to cancel the query.

  Parameters:
    `comboBox` - this
    `cb` - callback
  Returns:
    false to cancel the query

### doBeforeSelect

    boolean doBeforeSelect(ComboBox comboBox,
                           Record record,
                           int index)

  Fires before a list item is selected. Return false to cancel the selection.

  Parameters:
    `comboBox` - this
    `record` - the data record returned from the underlying store
    `index` - the data record returned from the underlying store
  Returns:
    false to cancel

### onCollapse

    void onCollapse(ComboBox comboBox)

  Fires when the dropdown list is collapsed.

  Parameters:
    `comboBox` - this

### onExpand

    void onExpand(ComboBox comboBox)

  Fires when the dropdown list is expanded.

  Parameters:
    `comboBox` - this

### onSelect

    void onSelect(ComboBox comboBox,
                  Record record,
                  int index)

  Fires when a list item is selected.

  Parameters:
    `comboBox` - this
    `record` - the data record returned from the underlying store
    `index` - the data record returned from the underlying store

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD